Skip to main content
POST
/
workflows
/
validate
[Beta] Validate a workflow definition
curl --request POST \
  --url https://api.open.cx/workflows/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "trigger_type": "manual-trigger",
  "workflow_blocks": [
    "<unknown>"
  ]
}
'
{
  "valid": true,
  "issues": [
    {
      "step_id": "<string>",
      "message": "<string>"
    }
  ],
  "action_types_used": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
trigger_type
enum<string>
required

Trigger type to validate against

Available options:
manual-trigger,
ai-trigger,
cron-trigger,
form-trigger,
webhook,
contact-created,
phone-call-started,
phone-call-finished,
ticket-created,
ticket-reassigned,
ticket-resolved,
ticket-handoff,
pre-ticket-handoff,
ticket-tag-added,
ticket-inactive,
sequence-completed,
csat-score-submit,
prohibited-topic-detected,
sla-first-reply-breached,
sla-next-reply-breached,
sla-resolution-breached,
voice-call-transferred,
pre-voice-call-transfer,
pre-phone-call-finished,
manual-ticket-trigger
workflow_blocks
any[]
required

Workflow blocks to validate

Response

Default Response

valid
boolean
required

Whether the workflow definition is valid

issues
object[]
required

List of validation issues found

action_types_used
string[]
required

List of action types referenced in the workflow